You are not logged in.

#1 2011-09-21 11:54:16

Unia
Member
From: The Netherlands
Registered: 2010-03-30
Posts: 2,472
Website

[Solved] Packages installed, but cmake can't find them

Hello all,

I'm trying to build the new version of Slingshot, called new-slingshot. I've made the following PKGBUILD, but get an error when during the cmake part.

PKGBUILD:

pkgname=new-slingshot
pkgver=latest
pkgrel=1
pkgdesc="New version of elementary's launcher Slingshot."
arch=('i686' 'x86_64')
url="https://code.launchpad.net/~slingshot-devs/"
license=('GPL2')
depends=('libgee' 'gnome-menus' 'granite-bzr' 'zeitgeist')
makedepends=('bzr' 'cmake')
optdepends=('wingpanel-bzr: panel to go with the Pantheon shell')
provides=(slingshot)
conflicts=(slingshot)
options=('!emptydirs' '!libtool')

_bzrtrunk="lp:slingshot"
_bzrmod="new-slingshot"

build() {
  cd "${srcdir}"

  msg "Connecting to the server...."

  if [ -d ${_bzrmod} ]; then
    bzr up ${_bzrmod}
    msg "The local files are updated."
  else
    bzr co ${_bzrtrunk} ${_bzrmod}
  fi

  msg "BZR checkout done or server timeout"
  msg "Starting make..."

  cd new-slingshot
  mkdir build; cd build
  cmake ..
  make
  make DESTDIR="${pkgdir}" install
}

The error is as followed:

-- checking for modules 'gobject-2.0;glib-2.0;gio-2.0;gio-unix-2.0;gee-1.0;gtk+-3.0;libgnome-menu;granite;zeitgeist-1.0'
--   package 'granite' not found
--   package 'zeitgeist-1.0' not found
CMake Error at /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:266 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindPkgConfig.cmake:320 (_pkg_check_modules_internal)
  CMakeLists.txt:31 (pkg_check_modules)


-- Found Vala: /usr/bin/valac 
-- checking for a minimum Vala version of 0.12.0
--   found Vala, version 0.14.0.3-1a311
-- GSettings schemas will be installed locally.
-- GSettings shemas will be compiled.
-- GSettings schemas will be installed into /usr/local/share/glib-2.0/schemas/
-- Configuring incomplete, errors occurred!
==> ERROR: A failure occurred in build().
    Aborting...

I do, however, have granite and zeitgeist installed (from AUR):

┌─[jente@lappy new-slingshot][13:50:18] 
└─■ pacman -Qs zeitgeist && pacman -Qs granite
local/zeitgeist 0.8.1.1-1
    A service which logs the users's activities and events and makes relevant
    information available to other applications
local/granite-bzr 72-1
    A development library by the elementary Project.

Can you help me fix this issue? Thanks in advance!

Last edited by Unia (2011-09-21 16:41:06)


If you can't sit by a cozy fire with your code in hand enjoying its simplicity and clarity, it needs more work. --Carlos Torres

Offline

#2 2011-09-21 12:13:46

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: [Solved] Packages installed, but cmake can't find them

It's just a guess, but

--   package 'granite' not found
--   package 'zeitgeist-1.0' not found

is not the same as zeitgeist 0.8.1.1-1 (0.8 is not 1.0 - different versions?) and granite-bzr (granite-bzr doesn't seem to provide granite - maybe you just need to fix the PKGBUILD?).

Offline

#3 2011-09-21 12:19:27

Unia
Member
From: The Netherlands
Registered: 2010-03-30
Posts: 2,472
Website

Re: [Solved] Packages installed, but cmake can't find them

I have fixed the granite-bzr PKGBUILD already, and added the

provide=(granite)

line, but that still results in the same error. I had thought about the zeitgeist versioning too, but AFAIK zeitgeist 0.8.1.1-1 is the latest version and I think this is just the Ubuntu naming for it. (initially slingshot is written for elementaryOS which is based on Ubuntu...)

EDIT: Zeitgeist 0.8.1.1-1 is indeed the latest version available. Also, here is the PKGBUILD I used for granite:

pkgname=granite-bzr
pkgver=latest
pkgrel=1
pkgdesc="A development library by the elementary Project."
arch=(i686 x86_64)
url=https://launchpad.net/granite
license=(GPL)
depends=('glib2' 'gobject-introspection' 'gtk3' 'vala-git')
makedepends=('bzr' 'cmake')
provides=(granite)

_bzrtrunk="lp:granite"
_bzrmod="granite"

build()
{
  cd "${srcdir}"

  msg "Connecting to the server...."

  if [ -d ${_bzrmod} ]; then
    bzr up ${_bzrmod}
    msg "The local files are updated."
  else
    bzr co ${_bzrtrunk}
  fi

  msg "BZR checkout done or server timeout"
  msg "Starting make..."

  cd granite
  mkdir build; cd build
  cmake ..
  make
  make DESTDIR="${pkgdir}" install
}

Last edited by Unia (2011-09-21 12:22:19)


If you can't sit by a cozy fire with your code in hand enjoying its simplicity and clarity, it needs more work. --Carlos Torres

Offline

#4 2011-09-21 13:24:14

Unia
Member
From: The Netherlands
Registered: 2010-03-30
Posts: 2,472
Website

Re: [Solved] Packages installed, but cmake can't find them

It can't be a naming issue since it looks for libgnome-menu (as example), which is delivered by gnome-menus. So it has to be something else...

EDIT: And also when I change the names in CMakeLists.txt to granite-bzr and zeitgeist, it fails (but giving the names I edited):

-- checking for modules 'gobject-2.0;glib-2.0;gio-2.0;gio-unix-2.0;gee-1.0;gtk+-3.0;libgnome-menu;granite-bzr;zeitgeist'
--   package 'granite-bzr' not found
--   package 'zeitgeist' not found

Last edited by Unia (2011-09-21 13:28:05)


If you can't sit by a cozy fire with your code in hand enjoying its simplicity and clarity, it needs more work. --Carlos Torres

Offline

#5 2011-09-21 14:18:56

Unia
Member
From: The Netherlands
Registered: 2010-03-30
Posts: 2,472
Website

Re: [Solved] Packages installed, but cmake can't find them

Solved the zeitgeist one by installing libzeitgeist from AUR, instead of zeitgeist. Now just the granite one left, although I have no clue on how to fix this one...


If you can't sit by a cozy fire with your code in hand enjoying its simplicity and clarity, it needs more work. --Carlos Torres

Offline

#6 2011-09-21 16:40:50

Unia
Member
From: The Netherlands
Registered: 2010-03-30
Posts: 2,472
Website

Re: [Solved] Packages installed, but cmake can't find them

Solved the granite one by asking on the #elementary IRC channel. Had to use the -DCMAKE_INSTALL_PREFIX=/usr flag for granite-bzr. Slingshot won't complain about missing deps now, so consider this solved!

(it still doesn't work though, receiving another error when trying to run it:

[L_WARN 18:38:23.890105] [GLib-GIO] Settings schema 'desktop.pantheon.slingshot' is not installed

EDIT: found a fix, thank to some people on #elementary IRC. See the AUR page of slingshot-bzr for the working PKGBUILD

Last edited by Unia (2011-09-21 17:58:42)


If you can't sit by a cozy fire with your code in hand enjoying its simplicity and clarity, it needs more work. --Carlos Torres

Offline

Board footer

Powered by FluxBB